%global commit f439d8f3bfbccbf7f7ec587b548a7d7421978b2f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           wxHexEditor
Version:        0.25
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        A hex editor for huge files and devices

License:        GPL-2.0
URL:            https://www.wxhexeditor.org/
Source0:        https://github.com/EUA/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# https://github.com/sharkcz/wxHexEditor/tree/fedora
Patch0:         fedora.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  wxGTK-devel
BuildRequires:  mhash-devel
BuildRequires:  udis86-devel
BuildRequires:  desktop-file-utils


%description
wxHexEditor is another Free Hex Editor, build because there is no good
hex editor for Linux system, specially for big files.


%prep
%autosetup -p1 -n %{name}-%{commit}

# remove unbundled libs
rm -rf mhash udis86


%build
%cmake
%cmake_build


%install
install -p -m 755 -D bin/%{name} %{buildroot}%{_bindir}/%{name}
install -p -m 644 -D resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 644 -D resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Jun 19 2025 Dan Horák <dan@danny.cz> - 0.25-0.1.gitf439d8f
- initial Fedora version
